
Ruby - Bug #8498

core dump, occurs repeatedly while running tests

06/06/2013 12:25 AM - mdemare (Michiel de Mare)

Status: Third Party's Issue   

Priority: Normal   

Assignee: mrkn (Kenta Murata)   

Target version:    

ruby -v: 1.9.3-p429 Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN

Description

Process:         ruby [42772]

Path:            /Users/USER/*/ruby

Identifier:      ruby

Version:         0

Code Type:       X86-64 (Native)

Parent Process:  fish [469]

User ID:         502

Date/Time:       2013-06-05 17:14:28.229 +0200

OS Version:      Mac OS X 10.8.3 (12D78)

Report Version:  10

Interval Since Last Report:          108922 sec

Crashes Since Last Report:           2

Per-App Crashes Since Last Report:   2

Anonymous UUID:                      5DD51F1D-D23F-47D1-6C81-41019E7DFF21

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGABRT)

Exception Codes: KERN_INVALID_ADDRESS at 0x00007ff600000020

VM Regions Near 0x7ff600000020:

shared memory          0000000133b70000-0000000133b71000 [    4K] rw-/rw- SM=SHM

-->

MALLOC_TINY            00007ff6c9400000-00007ff6c9600000 [ 2048K] rw-/rwx SM=COW

Application Specific Information:

abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0   libsystem_kernel.dylib         0x00007fff9148a212 __pthread_kill + 10

1   libsystem_c.dylib              0x00007fff8be9fb54 pthread_kill + 90

2   libsystem_c.dylib              0x00007fff8bee3dce abort + 143

3   ruby                           0x000000010ed5fbe9 rb_bug + 185

4   ruby                           0x000000010ee04e9f sigsegv + 79

5   libsystem_c.dylib              0x00007fff8be8c94a _sigtramp + 26

6   ruby                           0x000000010ee609aa rb_vm_make_env_object + 90

7   binding_of_caller.bundle       0x0000000133b6d58d binding_of_caller + 365

8   binding_of_caller.bundle       0x0000000133b6d888 callers + 72

9   ruby                           0x000000010ee5edb0 call_cfunc + 112

10  ruby                           0x000000010ee69c1a vm_call_method + 762

11  ruby                           0x000000010ee65885 vm_exec_core + 11989

12  ruby                           0x000000010ee6a58e vm_exec + 94

13  ruby                           0x000000010ee6bd51 rb_vm_invoke_proc + 161

14  ruby                           0x000000010ee626c0 vm_call0 + 896

15  ruby                           0x000000010eda99fc rb_class_new_instance + 44

16  ruby                           0x000000010ee5eda6 call_cfunc + 102

17  ruby                           0x000000010ee625c4 vm_call0 + 644

18  ruby                           0x000000010ee6a507 rb_funcall + 231

19  ruby                           0x000000010ed5f338 rb_exc_new3 + 88

20  ruby                           0x000000010ed63a78 load_failed + 72
21  ruby                           0x000000010ed64d1c rb_require_safe + 1516

22  ruby                           0x000000010ee5edbd call_cfunc + 125

23  ruby                           0x000000010ee69c1a vm_call_method + 762

24  ruby                           0x000000010ee65885 vm_exec_core + 11989

25  ruby                           0x000000010ee6a58e vm_exec + 94

26  ruby                           0x000000010ee6ce76 rb_yield + 70

27  ruby                           0x000000010ed32abf rb_ary_each + 95

28  ruby                           0x000000010ee5edb0 call_cfunc + 112

29  ruby                           0x000000010ee69c1a vm_call_method + 762

30  ruby                           0x000000010ee65885 vm_exec_core + 11989

31  ruby                           0x000000010ee6a58e vm_exec + 94

32  ruby                           0x000000010ee6ce76 rb_yield + 70

33  ruby                           0x000000010ed32abf rb_ary_each + 95

34  ruby                           0x000000010ee5edb0 call_cfunc + 112

35  ruby                           0x000000010ee69c1a vm_call_method + 762

36  ruby                           0x000000010ee65885 vm_exec_core + 11989

37  ruby                           0x000000010ee6a58e vm_exec + 94

38  ruby                           0x000000010ee6aefd rb_iseq_eval + 365

39  ruby                           0x000000010ed63bb2 rb_load_internal + 306

40  ruby                           0x000000010ed64bb0 rb_require_safe + 1152

41  ruby                           0x000000010ee5edbd call_cfunc + 125

42  ruby                           0x000000010ee69c1a vm_call_method + 762

43  ruby                           0x000000010ee65885 vm_exec_core + 11989

44  ruby                           0x000000010ee6a58e vm_exec + 94

45  ruby                           0x000000010ee6aefd rb_iseq_eval + 365

46  ruby                           0x000000010ed63bb2 rb_load_internal + 306

47  ruby                           0x000000010ed64bb0 rb_require_safe + 1152

48  ruby                           0x000000010ee5edbd call_cfunc + 125

49  ruby                           0x000000010ee69c1a vm_call_method + 762

50  ruby                           0x000000010ee65885 vm_exec_core + 11989

51  ruby                           0x000000010ee6a58e vm_exec + 94

52  ruby                           0x000000010ee6aefd rb_iseq_eval + 365

53  ruby                           0x000000010ed63bb2 rb_load_internal + 306

54  ruby                           0x000000010ed64bb0 rb_require_safe + 1152

55  ruby                           0x000000010ee5edbd call_cfunc + 125

56  ruby                           0x000000010ee69c1a vm_call_method + 762

57  ruby                           0x000000010ee65885 vm_exec_core + 11989

58  ruby                           0x000000010ee6a58e vm_exec + 94

59  ruby                           0x000000010ee6aefd rb_iseq_eval + 365

60  ruby                           0x000000010ed63bb2 rb_load_internal + 306

61  ruby                           0x000000010ed63813 rb_f_load + 115

62  ruby                           0x000000010ee5eda6 call_cfunc + 102

63  ruby                           0x000000010ee69c1a vm_call_method + 762

64  ruby                           0x000000010ee65885 vm_exec_core + 11989

65  ruby                           0x000000010ee6a58e vm_exec + 94

66  ruby                           0x000000010ee6ce76 rb_yield + 70

67  ruby                           0x000000010ed32abf rb_ary_each + 95

68  ruby                           0x000000010ee5edb0 call_cfunc + 112

69  ruby                           0x000000010ee69c1a vm_call_method + 762

70  ruby                           0x000000010ee65885 vm_exec_core + 11989

71  ruby                           0x000000010ee6a58e vm_exec + 94

72  ruby                           0x000000010ee6bd51 rb_vm_invoke_proc + 161

73  ruby                           0x000000010ed62f41 rb_exec_end_proc + 385

74  ruby                           0x000000010ed63005 ruby_finalize_0 + 85

75  ruby                           0x000000010ed63122 ruby_cleanup + 258

76  ruby                           0x000000010ed63389 ruby_run_node + 89

77  ruby                           0x000000010ed2c79f main + 79

78  libdyld.dylib                  0x00007fff87ff17e1 start + 1

Thread 1:

0   libsystem_kernel.dylib         0x00007fff9148a322 __select + 10

1   ruby                           0x000000010ee71f17 thread_timer + 407

2   libsystem_c.dylib              0x00007fff8be9e7a2 _pthread_start + 327

3   libsystem_c.dylib              0x00007fff8be8b1e1 thread_start + 13

Thread 2:: SamplerThread

0   libsystem_kernel.dylib         0x00007fff914886c2 semaphore_wait_trap + 10
1   v8.bundle                      0x000000010f642884 v8::internal::RuntimeProfilerRateLimiter::SuspendIfNecessary() + 96

2   v8.bundle                      0x000000010f63178b v8::internal::SamplerThread::Run() + 73

3   v8.bundle                      0x000000010f630c60 v8::internal::ThreadEntry(void*) + 80

4   libsystem_c.dylib              0x00007fff8be9e7a2 _pthread_start + 327

5   libsystem_c.dylib              0x00007fff8be8b1e1 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):

rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: 0x000000010f10c918  rdx: 0x0000000000000000

rdi: 0x000000000000210b  rsi: 0x0000000000000006  rbp: 0x000000010f10c940  rsp: 0x000000010f10c918

r8: 0x00007fff76bb3278   r9: 0x000000010f10c4c0  r10: 0x0000000020000000  r11: 0x0000000000000206

r12: 0x00007ff6cab4bd90  r13: 0x00007ff6cf94f9e0  r14: 0x00007fff76bb4180  r15: 0x00007ff6cae33e28

rip: 0x00007fff9148a212  rfl: 0x0000000000000206  cr2: 0x00007fff76bacff0

Logical CPU: 0

Binary Images:

0x10ed2b000 -        0x10ef0afff +ruby (0)  /Users/USER//ruby

0x10f113000 -        0x10f114ff7 +encdb.bundle (0)  /Users/USER//encdb.bundle

0x10f147000 -        0x10f148fff +transdb.bundle (0) <850AE15F-BD80-3F50-B1DD-B123F6FF32A3> /Users/USER//transdb.bundle

0x10f14b000 -        0x10f151ff7 +pathname.bundle (0) <910949AE-C68D-382E-9446-840784EAF712> /Users/USER/

/pathname.bundle

0x10f156000 -        0x10f157ff7 +etc.bundle (0)  /Users/USER//etc.bundle

0x10f15b000 -        0x10f15bff7 +sha1.bundle (0)  /Users/USER//sha1.bundle

0x10f15e000 -        0x10f15fff7 +digest.bundle (0)  /Users/USER//digest.bundle

0x10f163000 -        0x10f166fff +strscan.bundle (0)  /Users/USER//strscan.bundle

0x10f16a000 -        0x10f196fef +date_core.bundle (0) <423F8D35-C0EF-3129-AC25-12909E6CF33B> /Users/USER/

/date_core.bundle

0x10f1a5000 -        0x10f1a5ff7 +coverage.bundle (0) <5DE029C3-FAEC-35CC-9D88-9646E9C2665E> /Users/USER/

/coverage.bundle

0x10f1a8000 -        0x10f1baff7 +nokogiri.bundle (0) <13971D41-E7B9-385C-8102-DAFB2BCD1624> /Users/USER//nokogiri.bundle

0x10f1cf000 -        0x10f1dcff7 +libexslt.0.dylib (0) <9A51CFD3-885F-3F6E-829B-44BC5A77448F>

/usr/local/opt/libxslt/lib/libexslt.0.dylib

0x10f1e2000 -        0x10f20dfff +libxslt.1.dylib (0) <33037235-69F4-3CA7-A175-332765CC2460> /usr/local/opt/libxslt/lib/libxslt.1.dylib

0x10f218000 -        0x10f31bfff +libxml2.2.dylib (0) <3638FED6-F4AC-35F9-BFFA-8392E96C8DC0>

/usr/local/opt/libxml2/lib/libxml2.2.dylib

0x10f34d000 -        0x10f36aff7 +liblzma.5.dylib (0) <6476542F-6771-3A15-A861-D50B6B6F06F4> /usr/local/lib/liblzma.5.dylib

0x10f370000 -        0x10f374fff +stringio.bundle (0)  /Users/USER//stringio.bundle

0x10f378000 -        0x10f37aff7 +cparse.bundle (0)  /Users/USER//cparse.bundle

0x10f37d000 -        0x10f3b5fff +openssl.bundle (0)  /Users/USER//openssl.bundle

0x10f3d2000 -        0x10f3d2ff7 +fcntl.bundle (0)  /Users/USER//fcntl.bundle

0x10f3d5000 -        0x10f3e3fff +bigdecimal.bundle (0) <717142EB-9D1E-3ED5-AE7F-0498412C4A04> /Users/USER/

/bigdecimal.bundle

0x10f3e8000 -        0x10f3ebfff +psych.bundle (0) <56E5E08A-43BB-38E0-A092-E239F4BE090C> /Users/USER//psych.bundle

0x10f3f0000 -        0x10f40bfff +libyaml-0.2.dylib (0) <2CC6AFDE-7696-306D-8CC9-C06F4FF576DE> /Users/USER/

/libyaml-0.2.dylib

0x10f413000 -        0x10f41dff7 +zlib.bundle (0) <9D15820D-E401-3902-94D9-B30240471F8D> /Users/USER//zlib.bundle

0x10f423000 -        0x10f442ff7 +socket.bundle (0) <69B29424-4DE4-30BA-B848-348F4522D2CA> /Users/USER//socket.bundle

0x10f44b000 -        0x10f44bfef +iso_8859_1.bundle (0) <9A98AA0E-79FF-36BD-B5EC-282A79B06093> /Users/USER/

/iso_8859_1.bundle

0x10f44e000 -        0x10f44eff7 +md5.bundle (0) <0D46EB39-54F8-3510-9690-EF2EBE0D549D> /Users/USER//md5.bundle

0x10f451000 -        0x10f475fff +libxml_ruby.bundle (0)  /Users/USER//libxml_ruby.bundle

0x10f487000 -        0x10f48afef +parser.bundle (0) <7F3299BB-F25B-317F-8C61-7B26D798B0D8> /Users/USER//parser.bundle

0x10f48e000 -        0x10f48efff +utf_16be.bundle (0) <423A6E0F-A079-3AE9-A334-0339B6EF8505> /Users/USER//utf_16be.bundle

0x10f491000 -        0x10f491fff +utf_16le.bundle (0) <26C1C101-946E-3EA4-BFAE-5C6E3AFE1FF8> /Users/USER//utf_16le.bundle

0x10f494000 -        0x10f494fff +utf_32be.bundle (0) <4C8685B5-8B50-376F-9756-C4C45F16A6FA> /Users/USER//utf_32be.bundle

0x10f497000 -        0x10f497fff +utf_32le.bundle (0) <78FA4EB2-AC6B-399A-870F-35E8A0CAAEED> /Users/USER//utf_32le.bundle

0x10f49a000 -        0x10f4a3fef +generator.bundle (0) <2B8988C6-40C6-330A-B492-506FEA602AB9> /Users/USER/

/generator.bundle

0x10f4ac000 -        0x10f4baff7 +pg_ext.bundle (0)  /Users/USER//pg_ext.bundle

0x10f4c2000 -        0x10f4defff  libpq.5.dylib (58.1) <84F3902F-5621-3AE1-A4E0-27618195F5D7> /usr/lib/libpq.5.dylib

0x10f4ea000 -        0x10f4f0ff7 +kgio_ext.bundle (0)  /Users/USER//kgio_ext.bundle

0x10f4f5000 -        0x10f4fdfff +unicorn_http.bundle (0) <079F21B0-7315-3C20-9B04-F869F6105832> /Users/USER/

/unicorn_http.bundle

0x10f501000 -        0x10f502ff7 +raindrops_ext.bundle (0) <2CEA6F67-E661-3793-A0B9-B61581C51CC1> /Users/USER/

/raindrops_ext.bundle

0x10f505000 -        0x10f7e6ff7 +v8.bundle (0) <99B30753-9072-3D0C-96BC-F76FE9C8F83D> /Users/USER//v8.bundle

0x133b6c000 -        0x133b6dfff +binding_of_caller.bundle (0)  /Users/USER/*/binding_of_caller.bundle

0x7fff6e92b000 -     0x7fff6e95f93f  dyld (210.2.3)  /usr/lib/dyld
0x7fff8739a000 -     0x7fff8750ffff  com.apple.CFNetwork (596.3.3 - 596.3.3) <3739DC8D-8610-3740-80EC-43E130779CB8>

/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x7fff87514000 -     0x7fff8757dfff  libstdc++.6.dylib (56)  /usr/lib/libstdc++.6.dylib

0x7fff8774d000 -     0x7fff8777bff7  libsystem_m.dylib (3022.6)  /usr/lib/system/libsystem_m.dylib

0x7fff87b8e000 -     0x7fff87ea5ff7  com.apple.CoreServices.CarbonCore (1037.5 - 1037.5)

<731D8F92-1C52-3613-BA01-EFEA54DADF41>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x7fff87ea6000 -     0x7fff87ea6fff  libkeymgr.dylib (25)  /usr/lib/system/libkeymgr.dylib

0x7fff87ea7000 -     0x7fff87ebefff  com.apple.GenerationalStorage (1.1 - 132.3) 

/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage

0x7fff87ebf000 -     0x7fff87eceff7  libxar.1.dylib (105) <370ED355-E516-311E-BAFD-D80633A84BE1> /usr/lib/libxar.1.dylib

0x7fff87fe7000 -     0x7fff87feefff  libcopyfile.dylib (89) <876573D0-E907-3566-A108-577EAD1B6182> /usr/lib/system/libcopyfile.dylib

0x7fff87fef000 -     0x7fff87ff2ff7  libdyld.dylib (210.2.3)  /usr/lib/system/libdyld.dylib

0x7fff87ff4000 -     0x7fff87ff9fff  libcompiler_rt.dylib (30) <08F8731D-5961-39F1-AD00-4590321D24A9>

/usr/lib/system/libcompiler_rt.dylib

0x7fff88222000 -     0x7fff8826eff7  libauto.dylib (185.1) <73CDC482-16E3-3FC7-9BB4-FBA2DA44DBC2> /usr/lib/libauto.dylib

0x7fff89cd8000 -     0x7fff89dcdfff  libiconv.2.dylib (34)  /usr/lib/libiconv.2.dylib

0x7fff89e31000 -     0x7fff8a18eff7  com.apple.Foundation (6.8 - 945.16) <89BD68FD-72C8-35C1-94C6-3A07F097C50D>

/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x7fff8a1de000 -     0x7fff8a28ffff  com.apple.LaunchServices (539.7 - 539.7) 

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServic

es

0x7fff8a535000 -     0x7fff8a536ff7  libSystem.B.dylib (169.3) <365477AB-D641-389D-B8F4-A1FAE9657EEE>

/usr/lib/libSystem.B.dylib

0x7fff8a537000 -     0x7fff8a562fff  libxslt.1.dylib (11.3) <441776B8-9130-3893-956F-39C85FFA644F> /usr/lib/libxslt.1.dylib

0x7fff8a58c000 -     0x7fff8a5ddff7  com.apple.SystemConfiguration (1.12.2 - 1.12.2) 

/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x7fff8a8ee000 -     0x7fff8aad8ff7  com.apple.CoreFoundation (6.8 - 744.18) 

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x7fff8abdb000 -     0x7fff8abddfff  libquarantine.dylib (52) <4BE2E642-A14F-340A-B482-5BD2AEFD9C24>

/usr/lib/system/libquarantine.dylib

0x7fff8ad90000 -     0x7fff8adcbfff  com.apple.LDAPFramework (2.4.28 - 194.5) <67FBDB29-3B9F-309A-BA7C-AA5921D9A4FB>

/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x7fff8ade1000 -     0x7fff8ade3ff7  libunc.dylib (25) <92805328-CD36-34FF-9436-571AB0485072> /usr/lib/system/libunc.dylib

0x7fff8af0f000 -     0x7fff8af6efff  com.apple.AE (645.6 - 645.6) <44F403C1-660A-3543-AB9C-3902E02F936F>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x7fff8b013000 -     0x7fff8b014fff  liblangid.dylib (116) <864C409D-D56B-383E-9B44-A435A47F2346> /usr/lib/liblangid.dylib

0x7fff8b19c000 -     0x7fff8b19cfff  com.apple.CoreServices (57 - 57) <9DD44CB0-C644-35C3-8F57-0B41B3EC147D>

/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x7fff8b244000 -     0x7fff8b269ff7  libc++abi.dylib (26)  /usr/lib/libc++abi.dylib

0x7fff8be8a000 -     0x7fff8bf56ff7  libsystem_c.dylib (825.26) <4C9EB006-FE1F-3F8F-8074-DFD94CF2CE7B>

/usr/lib/system/libsystem_c.dylib

0x7fff8c0a6000 -     0x7fff8c0c8ff7  com.apple.Kerberos (2.0 - 1) 

/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x7fff8c8dd000 -     0x7fff8c8e4fff  com.apple.NetFS (5.0 - 4.0) <82E24B9A-7742-3DA3-9E99-ED267D98C05E>

/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS

0x7fff8ca48000 -     0x7fff8ca97ff7  libcorecrypto.dylib (106.2)  /usr/lib/system/libcorecrypto.dylib

0x7fff8cb3a000 -     0x7fff8cb51fff  com.apple.CFOpenDirectory (10.8 - 151.10) 

/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDir

ectory

0x7fff8cbf5000 -     0x7fff8cbfbfff  com.apple.DiskArbitration (2.5.2 - 2.5.2) 

/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x7fff8cc09000 -     0x7fff8cc0dfff  libpam.2.dylib (20)  /usr/lib/libpam.2.dylib

0x7fff8cc54000 -     0x7fff8cc55ff7  libdnsinfo.dylib (453.19) <14202FFB-C3CA-3FCC-94B0-14611BF8692D>

/usr/lib/system/libdnsinfo.dylib

0x7fff8cc91000 -     0x7fff8cc9eff7  com.apple.NetAuth (4.0 - 4.0) 

/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth

0x7fff8cc9f000 -     0x7fff8ce9ffff  libicucore.A.dylib (491.11.2)  /usr/lib/libicucore.A.dylib

0x7fff8cea0000 -     0x7fff8cea2fff  com.apple.TrustEvaluationAgent (2.0 - 23) 

/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x7fff8d860000 -     0x7fff8d8e2ff7  com.apple.Heimdal (3.0 - 2.0) 

/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal

0x7fff8db98000 -     0x7fff8dba6ff7  libsystem_network.dylib (77.10) <0D99F24E-56FE-380F-B81B-4A4C630EE587>

/usr/lib/system/libsystem_network.dylib

0x7fff8dbd9000 -     0x7fff8dbe7ff7  libkxld.dylib (2050.22.13) <4AAF0573-8632-3D06-BE32-C5675F77638D>

/usr/lib/system/libkxld.dylib

0x7fff8dbe8000 -     0x7fff8dbe9fff  libDiagnosticMessagesClient.dylib (8) <8548E0DC-0D2F-30B6-B045-FE8A038E76D8>
/usr/lib/libDiagnosticMessagesClient.dylib

0x7fff8dbff000 -     0x7fff8dc80fff  com.apple.Metadata (10.7.0 - 707.5) <4140B1F6-7D73-33C7-B3F2-4DB349C31AE9>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x7fff8dcd8000 -     0x7fff8dcdcff7  com.apple.TCC (1.0 - 1)  /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC

0x7fff8dd63000 -     0x7fff8dd70fff  libbz2.1.0.dylib (29)  /usr/lib/libbz2.1.0.dylib

0x7fff8dd71000 -     0x7fff8dd90ff7  libresolv.9.dylib (51) <0882DC2D-A892-31FF-AD8C-0BB518C48B23> /usr/lib/libresolv.9.dylib

0x7fff8de37000 -     0x7fff8e108ff7  com.apple.security (7.0 - 55179.11) <73958084-5BBC-3597-A751-7370B0C247E5>

/System/Library/Frameworks/Security.framework/Versions/A/Security

0x7fff8e10b000 -     0x7fff8e10cff7  libremovefile.dylib (23.2) <6763BC8E-18B8-3AD9-8FFA-B43713A7264F>

/usr/lib/system/libremovefile.dylib

0x7fff8e10d000 -     0x7fff8e143fff  libsystem_info.dylib (406.17) <4FFCA242-7F04-365F-87A6-D4EFB89503C1>

/usr/lib/system/libsystem_info.dylib

0x7fff8e76d000 -     0x7fff8e77bfff  libcommonCrypto.dylib (60027)  /usr/lib/system/libcommonCrypto.dylib

0x7fff8e77c000 -     0x7fff8e78dff7  libsasl2.2.dylib (166) <649CAE0E-8FFE-3C60-A849-BE6300E4B726> /usr/lib/libsasl2.2.dylib

0x7fff8e78e000 -     0x7fff8e794ff7  libunwind.dylib (35.1) <21703D36-2DAB-3D8B-8442-EAAB23C060D3>

/usr/lib/system/libunwind.dylib

0x7fff8e8f4000 -     0x7fff8e962fff  com.apple.framework.IOKit (2.0.1 - 755.22.5) <1547DA6F-9793-30A2-8E92-7368DE84D46C>

/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x7fff8ead0000 -     0x7fff8ead8ff7  libsystem_dnssd.dylib (379.37) <616FC901-151E-38BF-B2C4-24A351C5FAAD>

/usr/lib/system/libsystem_dnssd.dylib

0x7fff8ef6c000 -     0x7fff8ef8dff7  libCRFSuite.dylib (33) <736ABE58-8DED-3289-A042-C25AF7AE5B23> /usr/lib/libCRFSuite.dylib

0x7fff8efde000 -     0x7fff8efdefff  libOpenScriptingUtil.dylib (148.3)  /usr/lib/libOpenScriptingUtil.dylib

0x7fff8efdf000 -     0x7fff8f001ff7  libxpc.dylib (140.42)  /usr/lib/system/libxpc.dylib

0x7fff8f2b7000 -     0x7fff8f2e8ff7  com.apple.DictionaryServices (1.2 - 184.4) <054F2D6F-9CFF-3EF1-9778-25C551B616C1>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryS

ervices

0x7fff8f384000 -     0x7fff8f396ff7  libz.1.dylib (43) <2A1551E8-A272-3DE5-B692-955974FE1416> /usr/lib/libz.1.dylib

0x7fff8f534000 -     0x7fff8f535fff  libsystem_blocks.dylib (59)  /usr/lib/system/libsystem_blocks.dylib

0x7fff8f536000 -     0x7fff8f53cfff  libmacho.dylib (829)  /usr/lib/system/libmacho.dylib

0x7fff8f54f000 -     0x7fff8f64cff7  libxml2.2.dylib (22.3) <47B09CB2-C636-3024-8B55-6040F7829B4C> /usr/lib/libxml2.2.dylib

0x7fff900d1000 -     0x7fff9010bff7  com.apple.GSS (3.0 - 2.0) <970CAE00-1437-3F4E-B677-0FDB3714C08C>

/System/Library/Frameworks/GSS.framework/Versions/A/GSS

0x7fff9018f000 -     0x7fff901c6ff7  libssl.0.9.8.dylib (47) <923945E6-C489-3406-903B-A362410753F8> /usr/lib/libssl.0.9.8.dylib

0x7fff901c7000 -     0x7fff901d2fff  com.apple.CommonAuth (3.0 - 2.0) <7A953C1F-8B18-3E46-9BEA-26D9B5B7745D>

/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth

0x7fff90264000 -     0x7fff9026ffff  libsystem_notify.dylib (98.5)  /usr/lib/system/libsystem_notify.dylib

0x7fff90306000 -     0x7fff9030bfff  libcache.dylib (57) <65187C6E-3FBF-3EB8-A1AA-389445E2984D> /usr/lib/system/libcache.dylib

0x7fff90315000 -     0x7fff903bbff7  com.apple.CoreServices.OSServices (557.6 - 557.6)

<1BDB5456-0CE9-301C-99C1-8EFD0D2BFCCD>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x7fff912bf000 -     0x7fff913c1fff  libcrypto.0.9.8.dylib (47) <74F165AD-4572-3B26-B0E2-A97477FE59D0>

/usr/lib/libcrypto.0.9.8.dylib

0x7fff91478000 -     0x7fff91493ff7  libsystem_kernel.dylib (2050.22.13) <5A961E2A-CFB8-362B-BC43-122704AEB047>

/usr/lib/system/libsystem_kernel.dylib

0x7fff91735000 -     0x7fff91832fff  libsqlite3.dylib (138.1)  /usr/lib/libsqlite3.dylib

0x7fff9214e000 -     0x7fff921bbff7  com.apple.datadetectorscore (4.1 - 269.2) <4FD4A7CE-BB00-3AAB-B7AA-AE395D5400EC>

/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore

0x7fff9260a000 -     0x7fff9261fff7  libdispatch.dylib (228.23)  /usr/lib/system/libdispatch.dylib

0x7fff927dd000 -     0x7fff927e5fff  liblaunch.dylib (442.26.2) <2F71CAF8-6524-329E-AC56-C506658B4C0C>

/usr/lib/system/liblaunch.dylib

0x7fff927e6000 -     0x7fff92873ff7  com.apple.SearchKit (1.4.0 - 1.4.0) 

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x7fff92874000 -     0x7fff92887ff7  libbsm.0.dylib (32)  /usr/lib/libbsm.0.dylib

0x7fff92888000 -     0x7fff929a092f  libobjc.A.dylib (532.2) <90D31928-F48D-3E37-874F-220A51FD9E37> /usr/lib/libobjc.A.dylib

0x7fff929a1000 -     0x7fff929a6fff  com.apple.OpenDirectory (10.8 - 151.10) 

/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory

0x7fff929a8000 -     0x7fff929a9ff7  libsystem_sandbox.dylib (220.2) <6838A6FD-8626-3356-BB4F-BB4787216207>

/usr/lib/system/libsystem_sandbox.dylib

0x7fff929af000 -     0x7fff92a17ff7  libc++.1.dylib (65.1) <20E31B90-19B9-3C2A-A9EB-474E08F9FE05> /usr/lib/libc++.1.dylib

External Modification Summary:

Calls made by other processes targeting this process:

task_for_pid: 0

thread_create: 0

thread_set_state: 0

Calls made by this process:

task_for_pid: 0
thread_create: 0

thread_set_state: 0

Calls made by all processes on this machine:

task_for_pid: 5308

thread_create: 1

thread_set_state: 0

VM Region Summary:

ReadOnly portion of Libraries: Total=91.8M resident=40.9M(45%) swapped_out_or_unallocated=50.9M(55%)

Writable regions: Total=115.1M written=80.3M(70%) resident=99.3M(86%) swapped_out=0K(0%) unallocated=15.8M(14%)

REGION TYPE                      VIRTUAL

===========                      =======

MALLOC                            102.5M

MALLOC guard page                    32K

Memory tag=255                    576.3M

Memory tag=255 (reserved)          1024K        reserved VM address space (unallocated)

STACK GUARD                           8K

Stack                              64.5M

VM_ALLOCATE                           4K

__DATA                             3904K

__LINKEDIT                         54.0M

__TEXT                             37.8M

__UNICODE                           544K

shared memory                        12K

===========                      =======

TOTAL                             840.5M

TOTAL, minus reserved VM space    839.5M

Model: MacBookAir3,2, BootROM MBA31.0061.B07, 2 processors, Intel Core 2 Duo, 2.13 GHz, 4 GB, SMC 1.66f61

Graphics: NVIDIA GeForce 320M, NVIDIA GeForce 320M, PCI, 256 MB

Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54333235533642465238412D47372020

Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1067 MHz, 0x80AD, 0x484D54333235533642465238412D47372020

AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xD1), Broadcom BCM43xx 1.0 (5.106.98.100.16)

Bluetooth: Version 4.1.3f3 11349, 2 service, 11 devices, 1 incoming serial ports

Network Service: Wi-Fi, AirPort, en0

Serial ATA Device: APPLE SSD TS256C, 251 GB

USB Device: FaceTime Camera (Built-in), apple_vendor_id, 0x850a, 0x24600000 / 2

USB Device: Internal Memory Card Reader, apple_vendor_id, 0x8403, 0x26100000 / 2

USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x04500000 / 3

USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x821b, 0x04530000 / 6

USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0240, 0x04300000 / 2

History

#1 - 06/07/2013 10:56 PM - mrkn (Kenta Murata)

- Status changed from Open to Feedback

- Assignee set to mrkn (Kenta Murata)

=begin RD

We are not espers, so we need the following information to confirm this issue:

What configure and compile options did you specify to build your ruby?

How do we reproduce this issue?

=end

#2 - 06/08/2013 11:48 PM - nobu (Nobuyoshi Nakada)

- Status changed from Feedback to Third Party's Issue

binding_of_caller is not a bundled library.

#3 - 06/10/2013 04:57 AM - mdemare (Michiel de Mare)

Thanks, I'm not skilled in reading these kinds of reports. Can be closed.
